Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 10.3.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
SearchPluginBase::$searchAttributes property core/modules/search/src/Plugin/SearchPluginBase.php Array of attributes - usually from the request object.
SearchPluginBase::$searchParameters property core/modules/search/src/Plugin/SearchPluginBase.php Array of parameters from the query string from the request.
SearchPluginBase::buildResults function core/modules/search/src/Plugin/SearchPluginBase.php Executes the search and builds render arrays for the result items.
SearchPluginBase::buildSearchUrlQuery function core/modules/search/src/Plugin/SearchPluginBase.php Builds the URL GET query parameters array for search.
SearchPluginBase::create function core/modules/search/src/Plugin/SearchPluginBase.php Creates an instance of the plugin.
SearchPluginBase::getAttributes function core/modules/search/src/Plugin/SearchPluginBase.php Returns the currently set attributes (from the request).
SearchPluginBase::getHelp function core/modules/search/src/Plugin/SearchPluginBase.php Returns the searching help.
SearchPluginBase::getKeywords function core/modules/search/src/Plugin/SearchPluginBase.php Returns the currently set keywords of the plugin instance.
SearchPluginBase::getParameters function core/modules/search/src/Plugin/SearchPluginBase.php Returns the current parameters set using setSearch().
SearchPluginBase::getType function core/modules/search/src/Plugin/SearchPluginBase.php Returns the search index type this plugin uses.
SearchPluginBase::isSearchExecutable function core/modules/search/src/Plugin/SearchPluginBase.php Verifies if the values set via setSearch() are valid and sufficient.
SearchPluginBase::searchFormAlter function core/modules/search/src/Plugin/SearchPluginBase.php Alters the search form when being built for a given plugin.
SearchPluginBase::setSearch function core/modules/search/src/Plugin/SearchPluginBase.php Sets the keywords, parameters, and attributes to be used by execute().
SearchPluginBase::suggestedTitle function core/modules/search/src/Plugin/SearchPluginBase.php Provides a suggested title for a page of search results.
SearchPluginCollection class core/modules/search/src/Plugin/SearchPluginCollection.php Provides a container for lazily loading search plugins.
SearchPluginCollection.php file core/modules/search/src/Plugin/SearchPluginCollection.php
SearchPluginCollection::$searchPageId property core/modules/search/src/Plugin/SearchPluginCollection.php The unique ID for the search page using this plugin collection.
SearchPluginCollection::get function core/modules/search/src/Plugin/SearchPluginCollection.php
SearchPluginCollection::initializePlugin function core/modules/search/src/Plugin/SearchPluginCollection.php Initializes and stores a plugin.
SearchPluginCollection::__construct function core/modules/search/src/Plugin/SearchPluginCollection.php Constructs a new SearchPluginCollection.
SearchPluginCollectionTest class core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php @coversDefaultClass \Drupal\search\Plugin\SearchPluginCollection[[api-linebreak]]
@group search
SearchPluginCollectionTest.php file core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php
SearchPluginCollectionTest::$pluginInstances property core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php Stores all setup plugin instances.
SearchPluginCollectionTest::$pluginManager property core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php The mocked plugin manager.
SearchPluginCollectionTest::$searchPluginCollection property core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php The tested plugin collection.
SearchPluginCollectionTest::setUp function core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php
SearchPluginCollectionTest::testGet function core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php Tests the get() method.
SearchPluginCollectionTest::testGetWithConfigurablePlugin function core/modules/search/tests/src/Unit/SearchPluginCollectionTest.php Tests the get() method with a configurable plugin.
SearchPluginManager class core/modules/search/src/SearchPluginManager.php SearchExecute plugin manager.
SearchPluginManager.php file core/modules/search/src/SearchPluginManager.php
SearchPluginManager::__construct function core/modules/search/src/SearchPluginManager.php Constructs SearchPluginManager
SearchPreprocessLangcodeTest class core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Tests that the search preprocessing uses the correct language code.
SearchPreprocessLangcodeTest.php file core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php
SearchPreprocessLangcodeTest::$defaultTheme property core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php The theme to install as the default for testing.
SearchPreprocessLangcodeTest::$modules property core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Modules to enable.
SearchPreprocessLangcodeTest::$node property core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Test node for searching.
SearchPreprocessLangcodeTest::setUp function core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php
SearchPreprocessLangcodeTest::testPreprocessLangcode function core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Tests that hook_search_preprocess() returns the correct langcode.
SearchPreprocessLangcodeTest::testPreprocessStemming function core/modules/search/tests/src/Functional/SearchPreprocessLangcodeTest.php Tests stemming for hook_search_preprocess().
SearchQuery class core/modules/search/src/SearchQuery.php Search query extender and helper functions.
SearchQuery.php file core/modules/search/src/SearchQuery.php
SearchQuery::$conditions property core/modules/search/src/SearchQuery.php Conditions that are used for exact searches.
SearchQuery::$executedPrepare property core/modules/search/src/SearchQuery.php Indicates whether the preparation step has been executed.
SearchQuery::$keys property core/modules/search/src/SearchQuery.php Parsed-out positive and negative search keys.
SearchQuery::$matches property core/modules/search/src/SearchQuery.php Indicates how many matches for a search query are necessary.
SearchQuery::$multiply property core/modules/search/src/SearchQuery.php Multipliers for score expressions.
SearchQuery::$normalize property core/modules/search/src/SearchQuery.php Multiplier to normalize the keyword score.
SearchQuery::$relevance_count property core/modules/search/src/SearchQuery.php The number of 'i.relevance' occurrences in score expressions.
SearchQuery::$scores property core/modules/search/src/SearchQuery.php The word score expressions.
SearchQuery::$scoresArguments property core/modules/search/src/SearchQuery.php Arguments for the score expressions.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.